Lookup Peppol participants
curl --request GET \
--url https://api.e-invoice.be/api/lookup/participantsconst options = {method: 'GET'};
fetch('https://api.e-invoice.be/api/lookup/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.e-invoice.be/api/lookup/participants"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e-invoice.be/api/lookup/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.e-invoice.be/api/lookup/participants");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"total_count": 123,
"used_count": 123,
"query_terms": "<string>",
"search_date": "<string>",
"participants": [
{
"peppol_id": "<string>",
"peppol_scheme": "<string>",
"entities": [
{
"name": "<string>",
"country_code": "<string>",
"website": "<string>",
"geo_info": "<string>",
"additional_info": "<string>",
"registration_date": "<string>",
"identifiers": [
{
"scheme": "<string>",
"value": "<string>"
}
]
}
],
"document_types": [
{
"scheme": "<string>",
"value": "<string>"
}
]
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Lookup
Lookup Peppol participants
Lookup Peppol participants by name or other identifiers. You can limit the search to a specific country by providing the country code.
GET
/
api
/
lookup
/
participants
Lookup Peppol participants
Query Parameters
Query to lookup
Country code of the company to lookup. If not provided, the search will be global.
Response
Successful Response
Represents the result of a Peppol directory search
⌘I